/**
 * Informatique Industrielle et Java
 * Exercice 5.1 du chapitre5
 *
 * @author F. Mallet
 * @version 1
 */
public class Environnement {
    // La fen?tre principale de l'environnement graphique */
    private javax.swing.JFrame fenetre;
        
    /* Constructeur: cr?e la fen?tre principale de l'environnement*/	
    public Environnement () {
        fenetre = new javax.swing.JFrame("montre");
    }
    
    /* affiche la fen?tre principale ? l'?cran */
    public void affiche() { 
        fenetre.setVisible(true);
    }
    /* cache la fen?tre principale */
    public void cache() {
        fenetre.setVisible(false);
    }

    /* Change le titre de la fen?tre principale 
     * @param titre nouveau titre
     */
    public void setTitre(String titre) {
    	fenetre.setTitle(titre);
    }
    

    /* ajoute un objet graphique dans l'environnement 
     * @param composant est l'objet graphique ? ajouter
     */
    public void ajouteObjet(java.awt.Component composant) {
        fenetre.getContentPane().add(composant);
        fenetre.pack();
    }
    
static public void main(String[] args) {
	Environnement env = new Environnement();
	
	// modification pour l'exercice 1
	if (args.length != 0) {
		env.setTitre(args[0]);
	}
	// fin modification
	
	env.affiche();
	Montre montre = new Montre();
	env.ajouteObjet(montre);
	for (int i = 0 ; i<200 ; i++) {
		montre.incrementerSecondes();
	}
}
    
}